Skip to main content
GET
List AWS types

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Query Parameters

includeDisabled
boolean
default:false

When true, includes all AWS types supported

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

Successfully found AWS types

hasMore
boolean
required

If there are more pages

page
integer<int32>
required

Number of page

total
integer<int64>
required

Total number of AWS Resources types

totalPages
integer<int32>
required

Total number of pages

types
object[]
required

List of AWS types types and whether they're configured to be discovered and imported into the catalogs

Last modified on September 29, 2026